GuiCommand: Name: TechDraw CosmeticVertex MenuLocation: TechDraw , Add Vertices , Add Cosmetic Vertex Workbenches: TechDraw_Workbench Version: 0.19 SeeAlso: TechDraw_Midpoints, TechDraw_Quadrants
TechDraw CosmeticVertex
Description
The TechDraw CosmeticVertex tool adds a vertex, which is not part of the source geometry, to a view. This vertex behaves like any other vertex and can be used for dimensioning.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_CosmeticVertex_Sample.png)
Usage
- Select a view.
- There are several ways to invoke the tool:
- Press the
Add Cosmetic Vertex button.
- Select the TechDraw → Add Vertices →
Add Cosmetic Vertex option from the menu.
- Press the
- A task panel opens.
- Optionally press the Point Picker button and pick a point on the page. Press the Escape picking button to cancel this operation.
- Optionally change or specify the X and Y coordinates of the point. The coordinates are relative to the center of the view.
- Press the OK button.
Notes
- You cannot change the position of an existing cosmetic vertex. At the moment there is no other way than to delete it and create a new one.
Properties
Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
Cosmetic vertices are available to macros or the Python console.
dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);
#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)
{{TechDraw Tools navi}}
⏵ documentation index > TechDraw > TechDraw CosmeticVertex
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_CosmeticVertex.md